## javax.media.j3d
Class MultipleParentException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.media.j3d.IllegalSceneGraphException
                      javax.media.j3d.IllegalSharingException
                          javax.media.j3d.MultipleParentException

All Implemented Interfaces:
  java.io.Serializable

    public class MultipleParentException

extends IllegalSharingException

Indicates an attempt to add a node that is already a child of one group node, into another group node.

See Also:
  Serialized Form

Constructor Summary
`MultipleParentException()` Create the exception object with default values.
`MultipleParentException(java.lang.String str)` Create the exception object that outputs message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultipleParentException

    public MultipleParentException()

  Create the exception object with default values.

### MultipleParentException

    public MultipleParentException(java.lang.String str)

  Create the exception object that outputs message.

  Parameters:
    `str` - the message string to be output.

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.